Package ru.bitel.bgbilling.plugins.notification.common.bean

# Class NotificationData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.notification.common.bean.NotificationData

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class NotificationData extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotificationData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `String`
  `getData()`
  `String`
  `getHandlerClassName()`
  `PeriodWithTime`
  `getPeriod()`
  `NotificationData`
  `setContractId(int contractId)`
  `NotificationData`
  `setData(String data)`
  `NotificationData`
  `setHandlerClassName(String handlerClassName)`
  `NotificationData`
  `setId(int id)`
  Устанавливает id объекта
  `NotificationData`
  `setPeriod(PeriodWithTime period)`
  `NotificationData`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### NotificationData

    public NotificationData()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### getData

    public String getData()

  - ### getHandlerClassName

    public String getHandlerClassName()

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### setContractId

    public NotificationData setContractId(int contractId)

  - ### setData

    public NotificationData setData(String data)

  - ### setHandlerClassName

    public NotificationData setHandlerClassName(String handlerClassName)

  - ### setId

    public NotificationData setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setPeriod

    public NotificationData setPeriod(PeriodWithTime period)

  - ### setTitle

    public NotificationData setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`